LinuxCompile Environment buildscript asks for unknown libpython3.6.a

Use this forum for general user support and related questions.
Post Reply
joc
Posts: 2
Joined: Sun May 13, 2018 5:50 pm

LinuxCompile Environment buildscript asks for unknown libpython3.6.a

Post by joc » Sun May 13, 2018 6:51 pm

HI!
Trying to compile LuxCore (for running it on my SSE3/SSE2 machine) using LinuxCompile Environment I followed the README
with

Code: Select all

./build-64-sse2 LuxCore
download of dependencies worked fine, target tree was build and then
ran into:

Code: Select all

* Done creating target tree
 * Checking libstdc++
 * Library symlink is missing, attempting to figure out the proper location
 !!! Unable to find libstdc++.a at known locations.
 !!! You have to find the library manually and symlink
 !!! it to the following path:
 !!! /home/joc/Programme/LuxCore/LinuxCompile/target-64-sse2/lib/libstdc++.a
found, linked, no problem, but next launch asks for

Code: Select all

* Done checking distfiles
 * Checking target tree
 * Target tree exists
 * Checking libstdc++
 * Done checking libstdc++
 * Checking python
 * Library symlink is missing, attempting to figure out the proper location
 !!! Unable to find libpython3.6.a or libpython3.6m.a at known
 !!! locations. You have to find the library manually and
 !!! symlink it to the following path:
 !!! /home/joc/Programme/LuxCore/LinuxCompile/target-64-sse2/lib/libpython3.6.a
I could not find yet a package or repo containing this library...

User avatar
Dade
Developer
Posts: 1187
Joined: Mon Dec 04, 2017 8:36 pm

Re: LinuxCompile Environment buildscript asks for unknown libpython3.6.a

Post by Dade » Sun May 13, 2018 8:43 pm

joc wrote:
Sun May 13, 2018 6:51 pm
I could not find yet a package or repo containing this library...
What Linux distribution are you using ?

You can use any python 3.x version. It usual part of something like libpython3.5-stdlib: https://packages.ubuntu.com/search?keyw ... bpython3.5
Support LuxCoreRender project with salts and bounties

joc
Posts: 2
Joined: Sun May 13, 2018 5:50 pm

Re: LinuxCompile Environment buildscript asks for unknown libpython3.6.a

Post by joc » Mon May 14, 2018 7:00 pm

Dade wrote:
Sun May 13, 2018 8:43 pm
joc wrote:
Sun May 13, 2018 6:51 pm
I could not find yet a package or repo containing this library...
What Linux distribution are you using ?

You can use any python 3.x version. It usual part of something like libpython3.5-stdlib: https://packages.ubuntu.com/search?keyw ... bpython3.5
...

Sorry, somehow I broke my system. Opensuse Tumbleweed. Python 3.6 package is without static library indeed. I've build one from source now, made a symlink to the build and compiling went on to:

Code: Select all

common.mkdir bin.v2/libs/python/build/gcc-7/release/link-static/threading-multi
gcc.compile.c++ bin.v2/libs/python/build/gcc-7/release/link-static/threading-multi/numeric.o
In file included from ./boost/python/detail/prefix.hpp:13:0,
                 from ./boost/python/numeric.hpp:8,
                 from libs/python/src/numeric.cpp:6:
./boost/python/detail/wrap_python.hpp:50:11: fatal error: pyconfig.h: Datei oder Verzeichnis nicht gefunden
 # include <pyconfig.h>
           ^~~~~~~~~~~~
compilation terminated.

    "g++"  -ftemplate-depth-128 -O3 -finline-functions -Wno-inline -Wall -pthread -w -mtune=generic -std=gnu++98 -mmmx -msse -msse2 -O2 -pipe -mfpmath=sse -fPIC -w -mtune=generic -std=gnu++98 -mmmx -msse -msse2 -O2 -pipe -mfpmath=sse -fPIC -DBOOST_ALL_NO_LIB=1 -DBOOST_PYTHON_SOURCE -DBOOST_PYTHON_STATIC_LIB -DNDEBUG  -I"." -I"/usr/include/python3.6" -c -o "bin.v2/libs/python/build/gcc-7/release/link-static/threading-multi/numeric.o" "libs/python/src/numeric.cpp"

...failed gcc.compile.c++ bin.v2/libs/python/build/gcc-7/release/link-static/threading-multi/numeric.o...
gcc.compile.c++ bin.v2/libs/locale/build/gcc-7/release/link-static/threading-multi/std/std_backend.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-7/release/link-static/threading-multi/util/gregorian.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-7/release/link-static/threading-multi/posix/numeric.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-7/release/link-static/threading-multi/std/numeric.o
...failed updating 1 target...
...updated 3156 targets...
 !!! Boost compilation failed
Will continue...

:idea: Edit:
So, although both of my python installs (2.7 and 3.6m) contain a pyconfig.h

Code: Select all

export CPLUS_INCLUDE_PATH="$CPLUS_INCLUDE_PATH:/usr/include/python3.6m/"
solved this

Next hurdle ist IlmBase

Code: Select all

test_prefix = /home/joc/Programme/LuxCoreEnv/LinuxCompile/target-64-sse2
checking for pkg-config... /usr/bin/pkg-config
using ilmbase-prefix to set ILMBASE_CXXFLAGS, ILMBASE_LDFLAGS and ILMBASE_LIBS:
    ILMBASE_CXXFLAGS =  -I/home/joc/Programme/LuxCoreEnv/LinuxCompile/target-64-sse2/include/OpenEXR
    ILMBASE_LDFLAGS = -L/home/joc/Programme/LuxCoreEnv/LinuxCompile/target-64-sse2/lib -L/usr/lib64 -L/usr/local/lib
    ILMBASE_LIBS = -lImath -lHalf -lIex -lIlmThread -lpthread
checking for IlmBase... no
*** Could not run the IlmBase test program, checking why...
*** The IlmBase test program could be compiled, but could not be dynamically.
*** or statically linked.
***
*** Make sure the LDFLAGS points to the location of the IlmBase library.
*** (e.g. -L/usr/local/lib).
*** If the run-time linker is not finding IlmBase, you'll need to set your
*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point
*** to the installed location  Also, make sure you have run ldconfig if that
*** is required on your system.
***
*** Flags used by the test:
***     cflags: -w -mtune=generic -std=gnu++98 -mmmx -msse -msse2 -O2 -pipe -mfpmath=sse -fPIC  -I/home/joc/Programme/LuxCoreEnv/LinuxCompile/target-64-sse2/include/OpenEXR 
***     ldflags: -L/home/joc/Programme/LuxCoreEnv/LinuxCompile/target-64-sse2/lib -static-libgcc -static-libstdc++ -L/home/joc/Programme/LuxCoreEnv/LinuxCompile/target-64-sse2/lib -L/usr/lib64 -L/usr/local/lib
***
*** You can also run configure with --disable-ilmbasetest to skip this test.
configure: error: Could not compile IlmBase test program.
 !!! openexr configuration failed
:?

Post Reply